Page MenuHomePhabricator

Add normalized tables to production
Closed, ResolvedPublicJun 18 2019

Description

To do:

  • run the sql script in production

Details

Due Date
Jun 18 2019, 9:00 PM

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenArielGlenn
OpenNone
ResolvedAddshore
Resolved alaa_wmde
Resolved alaa_wmde
Resolved alaa_wmde
ResolvedNone
DeclinedNone
Declined alaa_wmde
ResolvedLadsgroup
ResolvedAddshore
ResolvedLadsgroup
ResolvedJeroenDeDauw
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedLadsgroup
ResolvedNone
InvalidNone
DeclinedNone
ResolvedLucas_Werkmeister_WMDE
InvalidNone
DeclinedNone
ResolvedLadsgroup
DeclinedNone
ResolvedJeroenDeDauw
DeclinedNone
Resolved alaa_wmde
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedAddshore
ResolvedNone
InvalidNone
Resolved alaa_wmde
OpenLadsgroup
InvalidNone
OpenLadsgroup
ResolvedLadsgroup
OpenLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
OpenNone
ResolvedAddshore
ResolvedAddshore
ResolvedLadsgroup
OpenLadsgroup
ResolvedJun 17 2019 alaa_wmde
ResolvedJun 18 2019Ladsgroup

Event Timeline

alaa_wmde set Due Date to Jun 11 2019, 9:00 PM.Jun 4 2019, 11:51 PM
alaa_wmde updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJun 4 2019, 11:51 PM

Just a small note, the labs views are not necessary for replication, they are necessary for users to be able to query them.
If the tables are going to be fully public, there is no need to add anything to let replication work.

@Marostegui oh yeah thanks for pointing out the wrong description (never write a task description after 23:00 😆 ) .. will fix it

alaa_wmde updated the task description. (Show Details)Jun 5 2019, 5:51 AM

Hehe - I just wanted to make sure it was clear that the views are not involved into the replication process at all (it can be confusing as there are many moving parts involved on the labs infra: replication filters, views, triggers, sanitization...) :-)

alaa_wmde changed Due Date from Jun 11 2019, 9:00 PM to Jun 18 2019, 9:00 PM.Jun 11 2019, 1:45 PM

Mentioned in SAL (#wikimedia-operations) [2019-06-18T13:56:01Z] <Amir1> ladsgroup@mwmaint1002:~$ mwscript sql.php --wiki=testwikidatawiki /srv/mediawiki/php-1.34.0-wmf.8/extensions/Wikibase/repo/sql/AddNormalizedTermsTablesDDL.sql (T225039)

Mentioned in SAL (#wikimedia-operations) [2019-06-18T13:56:21Z] <Amir1> ladsgroup@mwmaint1002:~$ mwscript sql.php --wiki=wikidatawiki /srv/mediawiki/php-1.34.0-wmf.8/extensions/Wikibase/repo/sql/AddNormalizedTermsTablesDDL.sql (T225039)

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 18 2019, 1:56 PM

@Ladsgroup how is it done for beta btw? will those propagate as part of replication to beta as well somehow? or do we need to run that sql on beta manually too?

@Ladsgroup how is it done for beta btw? will those propagate as part of replication to beta as well somehow? or do we need to run that sql on beta manually too?

If it was wired to update.php, it would have been done automatically but since it's not wired there yet, I needed to run it manually which I did yesterday :]

@Ladsgroup how is it done for beta btw? will those propagate as part of replication to beta as well somehow? or do we need to run that sql on beta manually too?

If it was wired to update.php, it would have been done automatically but since it's not wired there yet, I needed to run it manually which I did yesterday :]

that's great to hear :) thank you! (I assume that those aren't sent to SAL, that's why there isn't a comment for beta on this task right?)

that's great to hear :) thank you! (I assume that those aren't sent to SAL, that's why there isn't a comment for beta on this task right?)

Yeah, as you already know, I'm extremely lazy